Skip to main content
POST
/
payments
/
tax_rates
Create Tax Rate
curl --request POST \
  --url https://api.rootfi.dev/v4/payments/tax_rates \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "company_id": 123,
  "name": "<string>",
  "rate": 123,
  "jurisdiction": "<string>",
  "status": "ACTIVE"
}
'
{
  "rootfi_id": 157,
  "rootfi_created_at": "2024-01-22T05:07:31.465Z",
  "rootfi_updated_at": "2024-01-22T05:07:31.000Z",
  "rootfi_company_id": 1089,
  "platform_id": "123456",
  "rootfi_deleted_at": "2023-11-07T05:31:56Z",
  "platform_unique_id": "<string>",
  "raw_data": {},
  "data_hash": "<string>",
  "name": "<string>",
  "rate": 123,
  "jurisdiction": "<string>",
  "status": "ACTIVE",
  "created_at": "<string>",
  "updated_at": "<string>"
}
Create a new tax rate for use in invoices and transactions.

Request Body

FieldTypeRequiredDescription
namestringYesDisplay name (e.g., “California Sales Tax”)
ratenumberYesTax rate as decimal (e.g., 0.0725 for 7.25%)
jurisdictionstringYesGeographic area (e.g., “CA”, “NY”, “US”)
statusstringNoStatus (default: ACTIVE)

Example

{
  "name": "California Sales Tax",
  "rate": 0.0725,
  "jurisdiction": "CA",
  "status": "ACTIVE"
}
See Tax Rate Overview for complete field details.

Authorizations

api_key
string
header
required

Body

application/json
company_id
integer
required
name
string
required
rate
number<double>
required

Tax rate as decimal (e.g., 0.0725 for 7.25%).

jurisdiction
string
required
status
enum<string> | null
Available options:
ACTIVE,
ARCHIVED,
UNKNOWN

Response

Tax rate created successfully

V4 TaxRate model for jurisdiction-based tax rates.

rootfi_id
number<double>
required

The unique ID we assign for that data's information

Example:

157

rootfi_created_at
string<date-time>
required

The date at which RootFi first synced this data

Example:

"2024-01-22T05:07:31.465Z"

rootfi_updated_at
string<date-time>
required

The latest date at which RootFi updated this data

Example:

"2024-01-22T05:07:31.000Z"

rootfi_company_id
number<double>
required

The ID of the company in the accounting platform

Example:

1089

platform_id
string
required

An unique custom RootFi ID made from platform's unique_id.

Example:

"123456"

rootfi_deleted_at
string<date-time> | null

The date at which the data was deleted in the accounting platform

platform_unique_id
string | null

The ID of the data in the accounting platform.

raw_data
object

A JSON containing fields that you can directly get from the accounting platform.

data_hash
string | null

The hash of the data

name
string | null

Display name (e.g., California Sales Tax).

rate
number<double> | null

Tax rate as a decimal (e.g., 0.0725 for 7.25%).

jurisdiction
string | null

Geographic area where tax applies (e.g., CA, NY).

status
enum<string> | null

Current status of this tax rate (ACTIVE, ARCHIVED, UNKNOWN).

Available options:
ACTIVE,
ARCHIVED,
UNKNOWN
created_at
string | null

Original creation timestamp (ISO 8601).

updated_at
string | null

Last update timestamp (ISO 8601).